# Public: Get GSTIN

This API is used to get details of GSTIN.

## URL

```
GET https://cloud.octagst.com/api/octa/gst/getgstin?gstin={value}
```

## Query Parameters

| Name    | Description                       | Type      |
| ------- | --------------------------------- | --------- |
| `gstin` | GSTIN whose details to be fetched | Mandatory |

## Response Structure

| Parameter   | Type                | Description                                         |
| ----------- | ------------------- | --------------------------------------------------- |
| Success     | Boolean             | `true` in case of success, `false` if failure       |
| Result      | `GstinInfo`         | Contains information of GSTIN – in case of success  |
| Errors      | `ErrorInfo[]`       | Contains information of errors – in case of failure |
| Suggestions | `GstinSuggestion[]` | Contains suggestions - in case of failure           |

**`GstinInfo`**:

| Parameter              | Type     | Description                                                 |
| ---------------------- | -------- | ----------------------------------------------------------- |
| Gstin                  | String   | Taxpayer GSTIN                                              |
| Pan                    | String   | Taxpayer PAN                                                |
| LegalName              | String   | Legal Name of Business                                      |
| TradeName              | String   | Trade Name                                                  |
| RegistrationDate       | String   | Date of registration `YYYY-MM-DD`                           |
| BizEntityType          | String   | Business entity type                                        |
| TaxPayerType           | String   | Tax Payer Type – Refer GSTIN Registration Types             |
| TaxPayerStatus         | String   | Tax Payer Status – Refer GSTIN Status                       |
| CancellationDate       | String   | Cancellation date `YYYY-MM-DD`                              |
| StateJurisdictionCode  | String   | State jurisdiction Code                                     |
| StateJurisdiction      | String   | State jurisdiction details                                  |
| CenterJurisdictionCode | String   | Center Jurisdiction Code                                    |
| CenterJurisdiction     | String   | Center jurisdiction details                                 |
| BusinessActivities     | String[] | List of business activities                                 |
| EinvoiceStatus         | String   | Status of e-invoice enablement                              |
| LastUpdateDate         | String   | Last update date of GSTIN record `YYYY-MM-DD`               |
| PrincipalAddr          | `Addr`   | This object contains the primary address of business entity |
| AdditionalAddr         | `Addr`[] | List of additional addresses                                |

### `Addr`

| Parameter          | Type   | Description                                   |
| ------------------ | ------ | --------------------------------------------- |
| DoorNo             | String | Door number                                   |
| FloorNo            | String | Floor No                                      |
| BuildingName       | String | Building name                                 |
| Street             | String | Street name                                   |
| Landmark           | String | Landmark                                      |
| Locality           | String | Area Locality                                 |
| Location           | String | Location                                      |
| City               | String | City name                                     |
| District           | String | District name                                 |
| StateName          | String | State name                                    |
| StateCode          | String | State code                                    |
| PinCode            | String | Pin Code                                      |
| GeoCodeLevel       | String | Level of geo coding of address                |
| Longitude          | String | Longitude                                     |
| Lattitude          | String | Lattitude                                     |
| BusinessActivities | String | Nature of business activities on this address |

### `ErrorInfo`

| Parameter | Type   | Description   |
| --------- | ------ | ------------- |
| Code      | String | Error code    |
| Message   | String | Error message |

### `GstinSuggestion`

| Parameter | Type   | Description            |
| --------- | ------ | ---------------------- |
| Gstin     | String | Taxpayer GSTIN         |
| LegalName | String | Legal Name of Business |
| TradeName | String | Trade Name             |
| StateName | String | State Name             |
| StateCode | String | State Code             |

### GSTIN Registration Types

- Regular
- Composition
- SEZ Developer
- SEZ Unit
- Tax Collector (Electronic Commerce Operator)
- Tax Deductor
- Input Service Distributor (ISD)
- Casual Taxable Person
- Consulate or Embassy of Foreign Country
- United Nation Body
- Non Resident Online Services Provider
- Non Resident Taxable Person
- Other Notified Person
- Other Notified Persons
- Temporary

### GSTIN Status

- Active
- Active pending Verification
- Suspended
- Cancelled
- Inactive
- Provisional

## Success Response

Response payload will contains the success status along with GSTIN information.

```json
{
  "Success": true,
  "Gstin": "19AAACN0757G1ZI",
  "Pan": "AAACN0757G",
  "TradeName": "NESTLE INDIA LTD",
  "LegalName": "NESTLE INDIA LIMITED",
  "RegistrationDate": "2017-07-01",
  "BizEntityType": "Public Limited Company",
  "TaxPayerType": "Regular",
  "TaxPayerStatus": "Active",
  "StateJurisdictionCode": "WB065",
  "StateJurisdiction": "LARGE TAXPAYER UNIT",
  "CenterJurisdictionCode": "WA1006",
  "CenterJurisdiction": "RANGE-VI",
  "BusinessActivities": ["Warehouse / Depot", "Office / Sale Office"],
  "EinvoiceStatus": "Yes",
  "LastUpdateDate": "2025-12-08",
  "PrincipalAddr": {
    "DoorNo": "Tower-A, Block-AF",
    "FloorNo": "9th Floor",
    "BuildingName": "RDB Primarc Techno Park LLP",
    "Street": "8, Major Arterial Road",
    "Location": "New Town",
    "District": "North Twenty Four Parganas",
    "StateName": "West Bengal",
    "StateCode": "19",
    "PinCode": "700163",
    "GeoCodeLevel": "Building",
    "Longitude": "88.448403775692",
    "Lattitude": "22.583213533074986"
  },
  "AdditionalAddr": [
    {
      "DoorNo": "Khatian No. 371 Daag No. 338 -551 New- J.L.No.- 057",
      "FloorNo": "Marda Marketing Services",
      "BuildingName": "Premises at- Maa Ambe Infrastructure Pvt. Ltd.",
      "Street": "Mouza Nemai Khaprail Road",
      "Location": "Matigara",
      "District": "Darjeeling",
      "StateName": "West Bengal",
      "StateCode": "19",
      "PinCode": "734010",
      "GeoCodeLevel": "NA",
      "BusinessActivities": "Warehouse / Depot"
    },
    {
      "DoorNo": "Daag Nos. 3097, 3098, 3099 & 3100",
      "FloorNo": "A/C. ProConnect Supply Chain Solutions Ltd.",
      "BuildingName": "Shivshambho Construction P Ltd &Sanatanaya Warehousing P Ltd",
      "Street": "Mouza Belumilki Jl no 7, PS - Serampore",
      "Location": "Belumilki",
      "District": "Hooghly",
      "StateName": "West Bengal",
      "StateCode": "19",
      "PinCode": "712223",
      "GeoCodeLevel": "pincode",
      "Longitude": "88.289052",
      "Lattitude": "22.788999",
      "BusinessActivities": "Office / Sale Office, Warehouse / Depot"
    },
    {
      "DoorNo": "L.R Plot No.168, L.R Khatian No.2075",
      "BuildingName": "Premises at- Maa Ambe Infrastructure Pvt. Ltd.",
      "Street": "Mouza Nemai, J.L No.57",
      "Locality": "Matigara",
      "Location": "Siliguri",
      "District": "Darjeeling",
      "StateName": "West Bengal",
      "StateCode": "19",
      "PinCode": "734010",
      "GeoCodeLevel": "pincode",
      "Longitude": "88.3856960000001",
      "Lattitude": "26.71995",
      "BusinessActivities": "Warehouse / Depot"
    }
  ]
}
```

## Failure Response

If API request fails for some reason, response payload will contain:

- The failure status (`Success` will be `false`)
- List of errors
- Suggestions (Similar GSTINs)

```json
{
  "Success": false,
  "Errors": [
    {
      "Code": "OCTA-152",
      "Message": "Invalid GSTIN"
    }
  ],
  "Suggestions": [
    {
      "Gstin": "19AAACN0757G1ZI",
      "TradeName": "NESTLE INDIA LTD",
      "LegalName": "NESTLE INDIA LIMITED",
      "StateName": "West Bengal",
      "StateCode": "19"
    },
    {
      "Gstin": "02AAACN0757G1ZX",
      "TradeName": "NESTLE INDIA LIMITED",
      "LegalName": "NESTLE INDIA LIMITED",
      "StateName": "Himachal Pradesh",
      "StateCode": "02"
    },
    {
      "Gstin": "16AAACN0757G1ZO",
      "TradeName": "Nestle India Ltd.",
      "LegalName": "NESTLE INDIA LIMITED",
      "StateName": "Tripura",
      "StateCode": "16"
    },
    {
      "Gstin": "13AAACN0757G1ZU",
      "TradeName": "M/S NESTLE INDIA LTD.",
      "LegalName": "NESTLE INDIA LIMITED",
      "StateName": "Nagaland",
      "StateCode": "13"
    },
    {
      "Gstin": "14AAACN0757G1ZS",
      "TradeName": "M/S Nestle India Ltd",
      "LegalName": "NESTLE INDIA LIMITED",
      "StateName": "Manipur",
      "StateCode": "14"
    }
  ]
}
```